PanelTicket
Create a panel ticket
POST
/
v1
/
panel-tickets
Create a panel ticket
curl --request POST \
--url https://dev.flextell.ai/api/v1/panel-tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"subject": "<string>",
"description": "<string>"
}
'import requests
url = "https://dev.flextell.ai/api/v1/panel-tickets"
payload = {
"subject": "<string>",
"description": "<string>"
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({subject: '<string>', description: '<string>'})
};
fetch('https://dev.flextell.ai/api/v1/panel-tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<string>",
"data": {
"id": 123,
"code": "<string>",
"subject": "<string>",
"description": "<string>",
"status": "<string>",
"status_label": "<string>",
"admin_notes": "<string>",
"user_id": 123,
"tenant_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"id": 123,
"name": "<string>"
},
"tenant": {
"id": 123,
"name": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Body
application/json
⌘I
Create a panel ticket
